List references
List references available in the requested location.
GET
/api/referenceQuery parameters
locationobject | anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataReference.Info[]requiredShow propertiesHide properties
Array of
Reference.InfonamestringrequiredpathstringrequireddescriptionstringhiddenbooleansourceReference.SourcerequiredShow propertiesHide properties
Any of:
Reference.LocalSource
typestringrequiredAllowed:
localpathstringrequireddescriptionstringhiddenbooleanReference.GitSource
typestringrequiredAllowed:
gitrepositorystringrequiredbranchstringdescriptionstringhiddenboolean400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/reference"const response = await fetch("/api/reference", {
method: "GET"
});import requests
response = requests.get(
"/api/reference",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": [
{
"name": "string",
"path": "string",
"description": "string",
"hidden": true,
"source": {
"type": "local",
"path": "string",
"description": "string",
"hidden": true
}
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}